org.richfaces.renderkit.html

## Class CommandButtonRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AjaxCommandRendererBase
      - - org.richfaces.renderkit.html.CommandButtonRendererBase

- Direct Known Subclasses:
    CommandButtonRenderer

      public abstract class CommandButtonRendererBase
      extends AjaxCommandRendererBase

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandButtonRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encodeTypeAndImage(javax.faces.context.FacesContext context, javax.faces.component.UIComponent uiComponent)`

    - ### Methods inherited from class org.richfaces.renderkit.AjaxCommandRendererBase

      `doDecode, getOnClick, isSubmitted, queueComponentEventForBehaviorEvent`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandButtonRendererBase

          public CommandButtonRendererBase()

  - ### Method Detail

    - #### encodeTypeAndImage

          protected void encodeTypeAndImage(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent uiComponent)
                                     throws IOException

      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.